RagTime5PipelineInternal::UnknownParser Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
RagTime5PipelineInternal::UnknownParser Struct Referencefinal

Internal: the helper to read a unknown. More...

Inheritance diagram for RagTime5PipelineInternal::UnknownParser:

## Public Member Functions
| UnknownParser (int fieldSize, std::string const &zoneName)
| constructor
| ~UnknownParser () final
| destructor
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field
virtual bool | parseData (MWAWInputStreamPtr &, long, RagTime5Zone &, int, libmwaw::DebugStream &)
| parse a data

## Public Attributes
int | m_fieldSize
| the field size

## Private Member Functions
| UnknownParser (UnknownParser &orig)=delete
| copy constructor, not implemented
UnknownParser & | operator= (UnknownParser &orig)=delete
| copy operator, not implemented

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read a unknown.

## Constructor & Destructor Documentation

## ◆ UnknownParser() [1/2]

RagTime5PipelineInternal::UnknownParser::UnknownParser | ( | int | fieldSize,
|  | std::string const & | zoneName
| ) |  |
| inline

constructor

## ◆ ~UnknownParser()

RagTime5PipelineInternal::UnknownParser::~UnknownParser | ( |  | ) |
| final

destructor

## ◆ UnknownParser() [2/2]

RagTime5PipelineInternal::UnknownParser::UnknownParser | ( | UnknownParser & | orig | ) |
| privatedelete

copy constructor, not implemented

## Member Function Documentation

## ◆ operator=()

UnknownParser & RagTime5PipelineInternal::UnknownParser::operator= | ( | UnknownParser & | orig | ) |
| privatedelete

copy operator, not implemented

## ◆ parseData()

bool RagTime5PipelineInternal::UnknownParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

## ◆ m_fieldSize

int RagTime5PipelineInternal::UnknownParser::m_fieldSize

the field size

Referenced by parseData(), and UnknownParser().

The documentation for this struct was generated from the following file:

- RagTime5Pipeline.cxx